<!doctype html>

<html lang="en">
    <head>
        <title>Regression</title>
        <meta charset="utf-8">
        <meta name="description" content="">
        <meta name="author" content="">
    </head>

    <body>
        <form>
            <input type="text" id="0" /> fixed acidity <br />
            <input type="text" id="1" /> volatile acidity <br />
            <input type="text" id="2" /> citric acid <br />
            <input type="text" id="3" /> residual sugar <br />
            <input type="text" id="4" /> chlorides <br />
            <input type="text" id="5" /> free sulfur dioxide <br />
            <input type="text" id="6" /> total sulfur dioxide <br />
            <input type="text" id="7" /> density <br />
            <input type="text" id="8" /> pH <br />
            <input type="text" id="9" /> sulfates <br />
            <input type="text" id="10" /> alcohol <br />

            <div>
                <p id="result">...</p>
            </div>

            <input type="submit" value="Submit" />
        </form>

        <script type=text/javascript src="{{ url_for('static', filename='jquery.min.js')  }}"></script>

        <script>
            $(document).ready(function() {
                $("form").submit(function(event){
                    var $SCRIPT_ROOT = {{ request.script_root|tojson|safe  }};
                    var buf = [];

                    buf.push($("#0").val());
                    buf.push($("#1").val());
                    buf.push($("#2").val());
                    buf.push($("#3").val());
                    buf.push($("#4").val());
                    buf.push($("#5").val());
                    buf.push($("#6").val());
                    buf.push($("#7").val());
                    buf.push($("#8").val());
                    buf.push($("#9").val());
                    buf.push($("#10").val());

                    var i = 0;
                    for (i = 0; i < 11; i++)
                    {
                        buf[i] = parseFloat(buf[i]);
                    }

                    console.log(buf);

                    $.ajax({
                        type: "POST",
                        contentType: "application/json",
                        url: $SCRIPT_ROOT + "/regression_predict",
                        data: JSON.stringify(buf),
                        success: function(data) {
                            console.log("SUCCESS: ", data);
                            $('#result').text('Predicted output:' + data.predictions[0]);
                        },
                        error: function(e) {
                            console.log("ERROR: ", e);
                            $('#result').text('Somethings went wrong...');
                        }
                    });

                    event.preventDefault();
                });
            });
        </script>
    </body>
</html>
